# cwl_utils.tests.test_inputs_schema_gen

Tests for cwl-inputs-schema-gen.

## Attributes

`TEST_PARAMS` |

## Functions

`test_cwl_inputs_to_jsonschema`(tool_path, inputs_path) |
`test_cwl_inputs_to_jsonschema_fails`() | Compare tool schema of param 1 against input schema of param 2.

## Module Contents

cwl_utils.tests.test_inputs_schema_gen.TEST_PARAMS

cwl_utils.tests.test_inputs_schema_gen.test_cwl_inputs_to_jsonschema(tool_path, inputs_path)
  Parameters:

    - tool_path (pathlib.Path)

    - inputs_path (pathlib.Path)

  Return type:

    None

cwl_utils.tests.test_inputs_schema_gen.test_cwl_inputs_to_jsonschema_fails()

  Compare tool schema of param 1 against input schema of param 2.

  Return type:

    None